
/*
 * HPTalx
 * A PC<->HP48/49 communication program for Linux
 *
 * (C) 1999 by Bruno Barberi Gnecco
 * (C) 2005 by Rafael Ostertag
 *
 * $Id: gui_utils.h,v 1.3 2007/09/29 21:21:01 guengel Exp $
 *
 *
 * Copyright note:
 * 
 * This program is free software; you can
 * redistribute it and/or modify it under the
 * terms of the GNU General Public License as
 * published by the Free Software Foundation;
 * either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU
 * General Public License along with this
 * program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA 
 */

#ifndef GUI_UTILS_H
#define GUI_UTILS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <gtk/gtk.h>

/*
 * Size for displayed messages using message_box() and status_push()
 */
#define MESSAGESIZE 1024

enum retvalue
{
    OK, CANCEL
};
typedef enum retvalue RETVALUE;

extern void         message_box (char *title, char *fmt, ...);
extern char        *entry_popup (char *title, char *fmt, ...);
extern RETVALUE     confirm (char *title, char *fmt, ...);
extern void         status_bar_create (GtkWidget * w);
extern void         status_push (char *fmt, ...);
extern void         status_clear ();
extern void         status_pop ();
extern void         set_button_default_size (GtkWidget * b);

#endif
