/*
 * HPTalx
 * A PC<->HP48/49 communication program for Linux
 *
 * (C) 1999, 2000 by Bruno Barberi Gnecco
 * (C) 2005 by Rafael Ostertag
 *
 * rev 1.1.0:   File split from io.c
 *      Added kermit/xmodem support
 *      Added wait_connect field
 *
 * $Id: setup.h,v 1.3 2007/09/29 21:21:01 guengel Exp $
 *
 *
 * Copyright note:
 *
 * This program is free software; you can
 * redistribute it and/or modify it under the
 * terms of the GNU General Public License as
 * published by the Free Software Foundation;
 * either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU
 * General Public License along with this
 * program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 */

#ifndef SETUP_H
#define SETUP_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

/*
 * The name of the elements in the xml configuration file 
 */
#define CFG_ROOT_ELEMENT "hptalx"	/* The name of the root element of
					 * the * * XML config file */

#define CFG_PORT "port"		/* The name of the element holding the port * 
				 * in the XML config file */

#define CFG_SPEED "speed"	/* The name of the element holding the port * 
				 * speed in the XML config file */

#define CFG_DELETECONFIRM "deleteconfirm"	/* The name of the element *
						 * * holding the delete
						 * confirm * * flag in the
						 * XML config file */

#define CFG_STARTCONNECTED "startconnected"	/* The name of the element *
						 * * holding the start
						 * connected * * flag in the
						 * XML config file */

#define CFG_STARTAFTERDOT "startafterdot"	/* The name of the element *
						 * * holding the start after
						 * dot * * flag in the XML
						 * config file */

#define CFG_WAITCONNECT "waitconnect"	/* The name of the element holding *
					 * * the waitconnect value in the XML 
					 * * * * * config file */

#define CFG_EDITOR "editor"	/* The name of the element holding the editor 
				 * command in the XML config file */

/*
 * The maximum size of a port speed string 
 */
#define MAXPORTSPEEDSIZE 10

extern void         load_prefs (void);
extern void         setup (GtkWidget * w, gpointer data);

#endif
